CFPRIME IEOHPS                                                          IEOHPS      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE IEOHPS (IRMBUS,IOHTYP,EXS,JSTAB,EXF,JFLTN,DATPSS)      IEOHPS      3
CD                                                                      IEOHPS      4
CD    TO CONVERT IEEE STABILIZER MODELS TO EPRI(NEW) MODELS.            IEOHPS      5
CD                                                                      IEOHPS      6
      INCLUDE 'PARX.INS'                                                IEOHPS      7
      INCLUDE 'CNFLAG.INS'                                              IEOHPS      8
      INCLUDE 'CNMSG.INS'                                               IEOHPS      9
C                                                                       IEOHPS     10
      CHARACTER*80 DATPSS(3)                                            IEOHPS     11
      CHARACTER*12 AS12,AS16                                            IEOHPS     12
      DIMENSION EXS(*),EXF(*)                                           IEOHPS     13
C                                                                       IEOHPS     14
      LDEB=(JDEB(103).NE.0)                                             IEOHPS     15
C                                                                       IEOHPS     16
      CALL FMOVE (0,EXS,EXS,J9S1D)                                      IEOHPS     17
      CALL FMOVE (0,EXF,EXF,J9S2D)                                      IEOHPS     18
C                                                                       IEOHPS     19
      READ(DATPSS(1),1000,IOSTAT=IOS) MS11,AS12,AS13,MS14,MS15,AS16,AS17IEOHPS     20
      IF(IOS.NE.0)THEN                                                  IEOHPS     21
         WRITE(MSG(1),6000)                                             IEOHPS     22
         MSG(2)=DATPSS(1)                                               IEOHPS     23
         CALL PRTMSG(2)                                                 IEOHPS     24
         RETURN                                                         IEOHPS     25
      ENDIF                                                             IEOHPS     26
      READ(DATPSS(2),1010,IOSTAT=IOS) FS21,FS22,FS23,FS24,FS25,FS26,FS27IEOHPS     27
      IF(IOS.NE.0)THEN                                                  IEOHPS     28
         WRITE(MSG(1),6000)                                             IEOHPS     29
         MSG(2)=DATPSS(2)                                               IEOHPS     30
         CALL PRTMSG(2)                                                 IEOHPS     31
         RETURN                                                         IEOHPS     32
      ENDIF                                                             IEOHPS     33
      READ(DATPSS(3),1010,IOSTAT=IOS) FS31,FS32,FS33,FS34,FS35,FS36,FS37IEOHPS     34
      IF(IOS.NE.0)THEN                                                  IEOHPS     35
         WRITE(MSG(1),6000)                                             IEOHPS     36
         MSG(2)=DATPSS(3)                                               IEOHPS     37
         CALL PRTMSG(2)                                                 IEOHPS     38
         RETURN                                                         IEOHPS     39
      ENDIF                                                             IEOHPS     40
C                                                                       IEOHPS     41
      IF (LDEB) THEN                                                    IEOHPS     42
        WRITE(IUD6,2010)                                                IEOHPS     43
        WRITE(IUD6,1000) MS11,AS12,AS13,MS14,MS15,AS16,AS17             IEOHPS     44
        WRITE(IUD6,1010) FS21,FS22,FS23,FS24,FS25,FS26,FS27             IEOHPS     45
        WRITE(IUD6,1010) FS31,FS32,FS33,FS34,FS35,FS36,FS37             IEOHPS     46
      ENDIF                                                             IEOHPS     47
C                                                                       IEOHPS     48
C IEEE STABILIZER TYPE 1 -> OH JSTAB 1, JFLTN=1                         IEOHPS     49
C                                                                       IEOHPS     50
         JSTAB = 1                                                      IEOHPS     51
         IF(MS14.EQ.6) GOTO 900                                         IEOHPS     52
         IOHTYP=MS14                                                    IEOHPS     53
         IRMBUS=MS15                                                    IEOHPS     54
         EXS(2) = FS21                                                  IEOHPS     55
         EXS(3) = FS26                                                  IEOHPS     56
         EXS(4) = FS22                                                  IEOHPS     57
         EXS(5) = FS23                                                  IEOHPS     58
         EXS(6) = FS24                                                  IEOHPS     59
         EXS(7) = FS25                                                  IEOHPS     60
         EXS(9) = FS27                                                  IEOHPS     61
         EXS(10)= FS31                                                  IEOHPS     62
C                                                                       IEOHPS     63
         IF(FS31.GT.1.0E-04.OR.FS32.GT.1.0E-04.OR.                      IEOHPS     64
     &      FS33.GT.1.0E-04.OR.FS34.GT.1.0E-04) THEN                    IEOHPS     65
           JFLTN = 1                                                    IEOHPS     66
           EXS(2)= FS36                                                 IEOHPS     67
           EXS(3)= FS34                                                 IEOHPS     68
           EXS(4)= FS37                                                 IEOHPS     69
           EXS(5)= FS35                                                 IEOHPS     70
           EXS(6)= FS32                                                 IEOHPS     71
           EXS(7)= FS33                                                 IEOHPS     72
         ENDIF                                                          IEOHPS     73
C                                                                       IEOHPS     74
       RETURN                                                           IEOHPS     75
C                                                                       IEOHPS     76
C                                                                       IEOHPS     77
C      TRANSLATION NOT POSSIBLE SET JSTAB=0 AND WRITE WARNING MESSAGE   IEOHPS     78
C                                                                       IEOHPS     79
                                                                        IEOHPS     80
 900   CONTINUE                                                         IEOHPS     81
       JFLTN=0                                                          IEOHPS     82
       JSTAB=0                                                          IEOHPS     83
       WRITE(MSG(1),2000)                                               IEOHPS     84
       WRITE(MSG(2),2020) MS11,AS12,AS13,MS14                           IEOHPS     85
       CALL PRTMSG(2)                                                   IEOHPS     86
C                                                                       IEOHPS     87
       RETURN                                                           IEOHPS     88
C                                                                       IEOHPS     89
 1000  FORMAT(T2,I4,T7,A12,T20,A4,T25,I2,T28,I4,T33,A12,T46,A4)         IEOHPS     90
 1010  FORMAT(5X,7F10.4)                                                IEOHPS     91
 2000 FORMAT(' *** WARNING NO TRANSLATION FOR STABILIZER AT BUS NO.'    IEOHPS     92
     *,I4)                                                              IEOHPS     93
 2020 FORMAT(14X,'BUS NAME ',A12,' UNIT ID ',A4,' INPUT ',I5)           IEOHPS     94
 2010 FORMAT(1X,'% DEBUG(IEOHPS) POWER SYSTEM STABILIZER :')            IEOHPS     95
 6000 FORMAT(' *** WARNING PSS INPUT DATA PROBLEM.'                     IEOHPS     96
     *,'  THE FOLLOWING PSS IS IGNORED.')                               IEOHPS     97
C                                                                       IEOHPS     98
       END                                                              IEOHPS     99
